package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 应急管理模块-救援车辆信息-车辆状态枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/11
 */
@Getter
public enum EmRescueVehicleStatusEnums implements CodeDescEnumInterface {
    FREE(0, "空闲"),
    ATTENDANCE(1, "出勤中"),
    REPAIR(2, "维修中");

    private final Integer code;
    private final String desc;

    EmRescueVehicleStatusEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
